Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine.value
Interface ShorthandManager

All Known Implementing Classes:
  FontShorthandManager, MarginShorthandManager, MarkerShorthandManager

    public interface ShorthandManager

This interface represents the objects which provide support for shorthand properties.

Nested Class Summary
`static interface` | `ShorthandManager.PropertyHandler` To handle a property value created by a ShorthandManager.

Method Summary
`String` | `getPropertyName()` Returns the name of the property handled.
`boolean` | `isAdditiveProperty()` Whether the handled property can be additively animated.
`boolean` | `isAnimatableProperty()` Whether the handled property can be animated.
`void` | `setValues(CSSEngine eng, ShorthandManager.PropertyHandler ph, org.w3c.css.sac.LexicalUnit lu, boolean imp)` Sets the properties which are affected by this shorthand property.

Method Detail

### getPropertyName

    String getPropertyName()

  Returns the name of the property handled.

### isAnimatableProperty

    boolean isAnimatableProperty()

  Whether the handled property can be animated.

### isAdditiveProperty

    boolean isAdditiveProperty()

  Whether the handled property can be additively animated.

### setValues

    void setValues(CSSEngine eng,
                   ShorthandManager.PropertyHandler ph,
                   org.w3c.css.sac.LexicalUnit lu,
                   boolean imp)
                   throws DOMException

  Sets the properties which are affected by this shorthand property.

  Parameters:
    `eng` - The current CSSEngine.
    `ph` - The property handler to use.
    `lu` - The SAC lexical unit used to create the value.
    `imp` - The property priority.
  Throws:
    `DOMException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.